NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::ShipDesign::SteelSupportBuilder Class Reference

Represents a NXOpen::Features::ShipDesign::SteelSupport builder
To create a new instance of this class, use NXOpen::Features::ShipCollection::CreateSteelSupportBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::ShipDesign::SteelSupportBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CapOptions { CapOptionsNone, CapOptionsTwoSided, CapOptionsSymmetric }
 Does this feature have end caps, and if so what kind? More...
 
enum  CreationMethod { CreationMethodTwoPlanesandLines, CreationMethodSpecifyLine, CreationMethodSpecifyCsys }
 Method used to create the support feature. More...
 

Public Member Functions

NXOpen::ExpressionAngularDim ()
 Returns the angular dimension used to rotate the support feature. More...
 
int AttributeMaterial ()
 Returns the attribute material
Created in NX7.5.0. More...
 
int AttributeName ()
 Returns the name attribute value
Created in NX7.5.0. More...
 
NXOpen::CoordinateSystemCoordSystem ()
 Returns the coord system (only used with "SpecifyCsys" creation method)
Created in NX7.5.0. More...
 
int EndCapSize ()
 Returns the end cap size. More...
 
NXOpen::ExpressionEndCapThickness ()
 Returns the end cap thickness
Created in NX7.5.0. More...
 
int EndCapType ()
 Returns the end cap type. More...
 
NXOpen::ExpressionEndOffset ()
 Returns the offset used to determine where the support ends (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0. More...
 
NXOpen::PlaneEndPlane ()
 Returns the end plane (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0. More...
 
std::vector< NXStringGetAvailableAttributeMaterials ()
 Returns the list of available material attributes. More...
 
std::vector< NXStringGetAvailableAttributeNames ()
 Returns the list of available name attributes. More...
 
std::vector< NXStringGetAvailableCapTypes ()
 The list of available start and end cap types. More...
 
std::vector< NXStringGetAvailableEndCapSizes ()
 The list of available end cap sizes. More...
 
std::vector< NXStringGetAvailableStartCapSizes ()
 The list of available start cap sizes. More...
 
std::vector< NXStringGetAvailableSupportSizes ()
 The list of available sizes. More...
 
std::vector< NXStringGetAvailableSupportTypes ()
 The list of available support types. More...
 
bool KeepCoordSystem ()
 Returns whether or not we should keep the selected csys on apply (only used with "SpecifyCsys" creation method)
Created in NX7.5.0. More...
 
bool KeepEndPlane ()
 Returns whether or not we should keep the selected end plane on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0. More...
 
bool KeepReverseEndOffset ()
 Returns the keep previous reverse setting on apply (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0. More...
 
bool KeepReverseLine1Offset ()
 Returns the keep previous reverse setting on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0. More...
 
bool KeepReverseLine2Offset ()
 Returns the keep previous reverse setting on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0. More...
 
bool KeepReverseStartOffset ()
 Returns the keep previous reverse setting on apply (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0. More...
 
bool KeepSelectGuideCurve ()
 Returns whether or not we should keep the selected guide curve on apply (only used with "SpecifyLine" creation method)
Created in NX7.5.0. More...
 
bool KeepSelectLine1 ()
 Returns whether or not we should keep the selected first line on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0. More...
 
bool KeepSelectLine2 ()
 Returns whether or not we should keep the selected second line on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0. More...
 
bool KeepSelectOrientationLine ()
 Returns whether or not we should keep the selected orientation line on apply (only used with "SpecifyLine" creation method)
Created in NX7.5.0. More...
 
bool KeepStartPlane ()
 Returns whether or not we should keep the selected start plane on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0. More...
 
NXOpen::ExpressionLine1Offset ()
 Returns the first line offset (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0. More...
 
NXOpen::ExpressionLine2Offset ()
 Returns the second line offset (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0. More...
 
NXOpen::Features::ShipDesign::SteelSupportBuilder::CreationMethod PlacementMethod ()
 Returns the placement method used to create the feature
Created in NX7.5.0. More...
 
bool ReverseEndOffset ()
 Returns the reverse end offset (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0. More...
 
bool ReverseLine1Offset ()
 Returns the reverse first line offset (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0. More...
 
bool ReverseLine2Offset ()
 Returns the reverse second line offset (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0. More...
 
bool ReverseStartOffset ()
 Returns the reverse start offset (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0. More...
 
NXOpen::SelectTaggedObjectSelectGuideCurve ()
 Returns the select guide curve (only used with "SpecifyLine" creation method)
Created in NX7.5.0. More...
 
NXOpen::SelectTaggedObjectSelectLine1 ()
 Returns the first line (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0. More...
 
NXOpen::SelectTaggedObjectSelectLine2 ()
 Returns the second line (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0. More...
 
NXOpen::SelectTaggedObjectSelectOrientationLine ()
 Returns the orientation line (only used with "SpecifyLine" creation method)
Created in NX7.5.0. More...
 
void SetAttributeMaterial (int attributeMaterial)
 Sets the attribute material
Created in NX7.5.0. More...
 
void SetAttributeName (int attributeName)
 Sets the name attribute value
Created in NX7.5.0. More...
 
void SetCoordSystem (NXOpen::CoordinateSystem *coordSystem)
 Sets the coord system (only used with "SpecifyCsys" creation method)
Created in NX7.5.0. More...
 
void SetEndCapSize (int endCapSize)
 Sets the end cap size. More...
 
void SetEndCapType (int endCapType)
 Sets the end cap type. More...
 
void SetEndPlane (NXOpen::Plane *endPlane)
 Sets the end plane (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0. More...
 
void SetKeepCoordSystem (bool keepCoordSystem)
 Sets whether or not we should keep the selected csys on apply (only used with "SpecifyCsys" creation method)
Created in NX7.5.0. More...
 
void SetKeepEndPlane (bool keepEndPlane)
 Sets whether or not we should keep the selected end plane on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0. More...
 
void SetKeepReverseEndOffset (bool keepReverseEndOffset)
 Sets the keep previous reverse setting on apply (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0. More...
 
void SetKeepReverseLine1Offset (bool keepReverseLine1Offset)
 Sets the keep previous reverse setting on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0. More...
 
void SetKeepReverseLine2Offset (bool keepReverseLine2Offset)
 Sets the keep previous reverse setting on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0. More...
 
void SetKeepReverseStartOffset (bool keepReverseStartOffset)
 Sets the keep previous reverse setting on apply (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0. More...
 
void SetKeepSelectGuideCurve (bool keepSelectGuideCurve)
 Sets whether or not we should keep the selected guide curve on apply (only used with "SpecifyLine" creation method)
Created in NX7.5.0. More...
 
void SetKeepSelectLine1 (bool keepSelectLine1)
 Sets whether or not we should keep the selected first line on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0. More...
 
void SetKeepSelectLine2 (bool keepSelectLine2)
 Sets whether or not we should keep the selected second line on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0. More...
 
void SetKeepSelectOrientationLine (bool keepSelectOrientationLine)
 Sets whether or not we should keep the selected orientation line on apply (only used with "SpecifyLine" creation method)
Created in NX7.5.0. More...
 
void SetKeepStartPlane (bool keepStartPlane)
 Sets whether or not we should keep the selected start plane on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0. More...
 
void SetPlacementMethod (NXOpen::Features::ShipDesign::SteelSupportBuilder::CreationMethod placementMethod)
 Sets the placement method used to create the feature
Created in NX7.5.0. More...
 
void SetReverseEndOffset (bool reverseEndOffset)
 Sets the reverse end offset (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0. More...
 
void SetReverseLine1Offset (bool reverseLine1Offset)
 Sets the reverse first line offset (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0. More...
 
void SetReverseLine2Offset (bool reverseLine2Offset)
 Sets the reverse second line offset (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0. More...
 
void SetReverseStartOffset (bool reverseStartOffset)
 Sets the reverse start offset (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0. More...
 
void SetStartCapSize (int startCapSize)
 Sets the start cap size. More...
 
void SetStartCapType (int startCapType)
 Sets the start cap type. More...
 
void SetStartPlane (NXOpen::Plane *startPlane)
 Sets the start plane (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0. More...
 
void SetSupportCapOptions (NXOpen::Features::ShipDesign::SteelSupportBuilder::CapOptions supportCapOptions)
 Sets the support cap options
Created in NX7.5.0. More...
 
void SetSupportSize (int supportSize)
 Sets the support size. More...
 
void SetSupportType (int supportType)
 Sets the support type. More...
 
int StartCapSize ()
 Returns the start cap size. More...
 
NXOpen::ExpressionStartCapThickness ()
 Returns the start cap thickness
Created in NX7.5.0. More...
 
int StartCapType ()
 Returns the start cap type. More...
 
NXOpen::ExpressionStartOffset ()
 Returns the offset used to determine where the support starts (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0. More...
 
NXOpen::PlaneStartPlane ()
 Returns the start plane (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0. More...
 
NXOpen::Features::ShipDesign::SteelSupportBuilder::CapOptions SupportCapOptions ()
 Returns the support cap options
Created in NX7.5.0. More...
 
int SupportSize ()
 Returns the support size. More...
 
int SupportType ()
 Returns the support type. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::ShipDesign::SteelSupport builder
To create a new instance of this class, use NXOpen::Features::ShipCollection::CreateSteelSupportBuilder
Default values.

Property Value

AngularDim.Value

0

EndCapThickness.Value

0 (millimeters part), 0 (inches part)

EndOffset.Value

0 (millimeters part), 0 (inches part)

Line1Offset.Value

0 (millimeters part), 0 (inches part)

Line2Offset.Value

0 (millimeters part), 0 (inches part)

PlacementMethod

TwoPlanesandLines

StartCapThickness.Value

0 (millimeters part), 0 (inches part)

StartOffset.Value

0 (millimeters part), 0 (inches part)

SupportCapOptions

None


Created in NX7.5.0.

Member Enumeration Documentation

Does this feature have end caps, and if so what kind?

Enumerator
CapOptionsNone 

none

CapOptionsTwoSided 

two sided

CapOptionsSymmetric 

symmetric

Method used to create the support feature.

Enumerator
CreationMethodTwoPlanesandLines 

two planesand lines

CreationMethodSpecifyLine 

specify line

CreationMethodSpecifyCsys 

specify csys

Member Function Documentation

NXOpen::Expression* NXOpen::Features::ShipDesign::SteelSupportBuilder::AngularDim ( )

Returns the angular dimension used to rotate the support feature.


Created in NX7.5.0.

License requirements : None

int NXOpen::Features::ShipDesign::SteelSupportBuilder::AttributeMaterial ( )

Returns the attribute material
Created in NX7.5.0.



License requirements : None

int NXOpen::Features::ShipDesign::SteelSupportBuilder::AttributeName ( )

Returns the name attribute value
Created in NX7.5.0.



License requirements : None

NXOpen::CoordinateSystem* NXOpen::Features::ShipDesign::SteelSupportBuilder::CoordSystem ( )

Returns the coord system (only used with "SpecifyCsys" creation method)
Created in NX7.5.0.



License requirements : None

int NXOpen::Features::ShipDesign::SteelSupportBuilder::EndCapSize ( )

Returns the end cap size.

Determines the cross section of the support cap.
Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::SteelSupportBuilder::EndCapThickness ( )

Returns the end cap thickness
Created in NX7.5.0.



License requirements : None

int NXOpen::Features::ShipDesign::SteelSupportBuilder::EndCapType ( )

Returns the end cap type.

Determines the cross section of the support cap.
Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::SteelSupportBuilder::EndOffset ( )

Returns the offset used to determine where the support ends (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0.



License requirements : None

NXOpen::Plane* NXOpen::Features::ShipDesign::SteelSupportBuilder::EndPlane ( )

Returns the end plane (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.



License requirements : None

std::vector<NXString> NXOpen::Features::ShipDesign::SteelSupportBuilder::GetAvailableAttributeMaterials ( )

Returns the list of available material attributes.

Returns
Array of available attribute materials. These materials are specified in the customer defaults file.
Created in NX7.5.0.

License requirements : None
std::vector<NXString> NXOpen::Features::ShipDesign::SteelSupportBuilder::GetAvailableAttributeNames ( )

Returns the list of available name attributes.

Returns
Array of available attribute names. These names are specified in the customer defaults file.
Created in NX7.5.0.

License requirements : None
std::vector<NXString> NXOpen::Features::ShipDesign::SteelSupportBuilder::GetAvailableCapTypes ( )

The list of available start and end cap types.

Returns
Array of available cap types. These names are specified by a special sketch naming convention for sketches loaded in the support cap library.
Created in NX7.5.0.

License requirements : None
std::vector<NXString> NXOpen::Features::ShipDesign::SteelSupportBuilder::GetAvailableEndCapSizes ( )

The list of available end cap sizes.

The available end cap sizes will change everytime the end cap type changes.

Returns
Array of available end cap sizes. These names are specified by a special sketch naming convention for sketches loaded in the support cap library.
Created in NX7.5.0.

License requirements : None
std::vector<NXString> NXOpen::Features::ShipDesign::SteelSupportBuilder::GetAvailableStartCapSizes ( )

The list of available start cap sizes.

The available start cap sizes will change everytime the start cap type changes.

Returns
Array of available start cap sizes. These names are specified by a special sketch naming convention for sketches loaded in the support cap library.
Created in NX7.5.0.

License requirements : None
std::vector<NXString> NXOpen::Features::ShipDesign::SteelSupportBuilder::GetAvailableSupportSizes ( )

The list of available sizes.

The available sizes will change everytime the support type changes.

Returns
Array of available sizes. These names are specified by a special sketch naming convention for sketches loaded in the support library.
Created in NX7.5.0.

License requirements : None
std::vector<NXString> NXOpen::Features::ShipDesign::SteelSupportBuilder::GetAvailableSupportTypes ( )

The list of available support types.

Returns
Array of available types. These names are specified by a special sketch naming convention for sketches loaded in the support library.
Created in NX7.5.0.

License requirements : None
bool NXOpen::Features::ShipDesign::SteelSupportBuilder::KeepCoordSystem ( )

Returns whether or not we should keep the selected csys on apply (only used with "SpecifyCsys" creation method)
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::ShipDesign::SteelSupportBuilder::KeepEndPlane ( )

Returns whether or not we should keep the selected end plane on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::ShipDesign::SteelSupportBuilder::KeepReverseEndOffset ( )

Returns the keep previous reverse setting on apply (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::ShipDesign::SteelSupportBuilder::KeepReverseLine1Offset ( )

Returns the keep previous reverse setting on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::ShipDesign::SteelSupportBuilder::KeepReverseLine2Offset ( )

Returns the keep previous reverse setting on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::ShipDesign::SteelSupportBuilder::KeepReverseStartOffset ( )

Returns the keep previous reverse setting on apply (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::ShipDesign::SteelSupportBuilder::KeepSelectGuideCurve ( )

Returns whether or not we should keep the selected guide curve on apply (only used with "SpecifyLine" creation method)
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::ShipDesign::SteelSupportBuilder::KeepSelectLine1 ( )

Returns whether or not we should keep the selected first line on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::ShipDesign::SteelSupportBuilder::KeepSelectLine2 ( )

Returns whether or not we should keep the selected second line on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::ShipDesign::SteelSupportBuilder::KeepSelectOrientationLine ( )

Returns whether or not we should keep the selected orientation line on apply (only used with "SpecifyLine" creation method)
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::ShipDesign::SteelSupportBuilder::KeepStartPlane ( )

Returns whether or not we should keep the selected start plane on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::SteelSupportBuilder::Line1Offset ( )

Returns the first line offset (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::SteelSupportBuilder::Line2Offset ( )

Returns the second line offset (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.



License requirements : None

NXOpen::Features::ShipDesign::SteelSupportBuilder::CreationMethod NXOpen::Features::ShipDesign::SteelSupportBuilder::PlacementMethod ( )

Returns the placement method used to create the feature
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::ShipDesign::SteelSupportBuilder::ReverseEndOffset ( )

Returns the reverse end offset (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::ShipDesign::SteelSupportBuilder::ReverseLine1Offset ( )

Returns the reverse first line offset (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::ShipDesign::SteelSupportBuilder::ReverseLine2Offset ( )

Returns the reverse second line offset (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::ShipDesign::SteelSupportBuilder::ReverseStartOffset ( )

Returns the reverse start offset (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0.



License requirements : None

NXOpen::SelectTaggedObject* NXOpen::Features::ShipDesign::SteelSupportBuilder::SelectGuideCurve ( )

Returns the select guide curve (only used with "SpecifyLine" creation method)
Created in NX7.5.0.



License requirements : None

NXOpen::SelectTaggedObject* NXOpen::Features::ShipDesign::SteelSupportBuilder::SelectLine1 ( )

Returns the first line (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.



License requirements : None

NXOpen::SelectTaggedObject* NXOpen::Features::ShipDesign::SteelSupportBuilder::SelectLine2 ( )

Returns the second line (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.



License requirements : None

NXOpen::SelectTaggedObject* NXOpen::Features::ShipDesign::SteelSupportBuilder::SelectOrientationLine ( )

Returns the orientation line (only used with "SpecifyLine" creation method)
Created in NX7.5.0.



License requirements : None

void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetAttributeMaterial ( int  attributeMaterial)

Sets the attribute material
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
attributeMaterialattributematerial
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetAttributeName ( int  attributeName)

Sets the name attribute value
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
attributeNameattributename
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetCoordSystem ( NXOpen::CoordinateSystem coordSystem)

Sets the coord system (only used with "SpecifyCsys" creation method)
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
coordSystemcoordsystem
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetEndCapSize ( int  endCapSize)

Sets the end cap size.

Determines the cross section of the support cap.
Created in NX7.5.0.

License requirements : nx_ship_concept ("Ship Concept")

Parameters
endCapSizeendcapsize
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetEndCapType ( int  endCapType)

Sets the end cap type.

Determines the cross section of the support cap.
Created in NX7.5.0.

License requirements : nx_ship_concept ("Ship Concept")

Parameters
endCapTypeendcaptype
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetEndPlane ( NXOpen::Plane endPlane)

Sets the end plane (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
endPlaneendplane
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetKeepCoordSystem ( bool  keepCoordSystem)

Sets whether or not we should keep the selected csys on apply (only used with "SpecifyCsys" creation method)
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
keepCoordSystemkeepcoordsystem
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetKeepEndPlane ( bool  keepEndPlane)

Sets whether or not we should keep the selected end plane on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
keepEndPlanekeependplane
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetKeepReverseEndOffset ( bool  keepReverseEndOffset)

Sets the keep previous reverse setting on apply (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
keepReverseEndOffsetkeepreverseendoffset
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetKeepReverseLine1Offset ( bool  keepReverseLine1Offset)

Sets the keep previous reverse setting on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
keepReverseLine1Offsetkeepreverseline1offset
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetKeepReverseLine2Offset ( bool  keepReverseLine2Offset)

Sets the keep previous reverse setting on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
keepReverseLine2Offsetkeepreverseline2offset
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetKeepReverseStartOffset ( bool  keepReverseStartOffset)

Sets the keep previous reverse setting on apply (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
keepReverseStartOffsetkeepreversestartoffset
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetKeepSelectGuideCurve ( bool  keepSelectGuideCurve)

Sets whether or not we should keep the selected guide curve on apply (only used with "SpecifyLine" creation method)
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
keepSelectGuideCurvekeepselectguidecurve
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetKeepSelectLine1 ( bool  keepSelectLine1)

Sets whether or not we should keep the selected first line on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
keepSelectLine1keepselectline1
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetKeepSelectLine2 ( bool  keepSelectLine2)

Sets whether or not we should keep the selected second line on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
keepSelectLine2keepselectline2
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetKeepSelectOrientationLine ( bool  keepSelectOrientationLine)

Sets whether or not we should keep the selected orientation line on apply (only used with "SpecifyLine" creation method)
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
keepSelectOrientationLinekeepselectorientationline
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetKeepStartPlane ( bool  keepStartPlane)

Sets whether or not we should keep the selected start plane on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
keepStartPlanekeepstartplane
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetPlacementMethod ( NXOpen::Features::ShipDesign::SteelSupportBuilder::CreationMethod  placementMethod)

Sets the placement method used to create the feature
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
placementMethodplacementmethod
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetReverseEndOffset ( bool  reverseEndOffset)

Sets the reverse end offset (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
reverseEndOffsetreverseendoffset
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetReverseLine1Offset ( bool  reverseLine1Offset)

Sets the reverse first line offset (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
reverseLine1Offsetreverseline1offset
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetReverseLine2Offset ( bool  reverseLine2Offset)

Sets the reverse second line offset (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
reverseLine2Offsetreverseline2offset
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetReverseStartOffset ( bool  reverseStartOffset)

Sets the reverse start offset (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
reverseStartOffsetreversestartoffset
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetStartCapSize ( int  startCapSize)

Sets the start cap size.

Determines the cross section of the support cap.
Created in NX7.5.0.

License requirements : nx_ship_concept ("Ship Concept")

Parameters
startCapSizestartcapsize
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetStartCapType ( int  startCapType)

Sets the start cap type.

Determines the cross section of the support cap.
Created in NX7.5.0.

License requirements : nx_ship_concept ("Ship Concept")

Parameters
startCapTypestartcaptype
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetStartPlane ( NXOpen::Plane startPlane)

Sets the start plane (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
startPlanestartplane
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetSupportCapOptions ( NXOpen::Features::ShipDesign::SteelSupportBuilder::CapOptions  supportCapOptions)

Sets the support cap options
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
supportCapOptionssupportcapoptions
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetSupportSize ( int  supportSize)

Sets the support size.

Determines the cross section of the support.
Created in NX7.5.0.

License requirements : nx_ship_concept ("Ship Concept")

Parameters
supportSizesupportsize
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetSupportType ( int  supportType)

Sets the support type.

Determines the cross section of the support.
Created in NX7.5.0.

License requirements : nx_ship_concept ("Ship Concept")

Parameters
supportTypesupporttype
int NXOpen::Features::ShipDesign::SteelSupportBuilder::StartCapSize ( )

Returns the start cap size.

Determines the cross section of the support cap.
Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::SteelSupportBuilder::StartCapThickness ( )

Returns the start cap thickness
Created in NX7.5.0.



License requirements : None

int NXOpen::Features::ShipDesign::SteelSupportBuilder::StartCapType ( )

Returns the start cap type.

Determines the cross section of the support cap.
Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::SteelSupportBuilder::StartOffset ( )

Returns the offset used to determine where the support starts (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0.



License requirements : None

NXOpen::Plane* NXOpen::Features::ShipDesign::SteelSupportBuilder::StartPlane ( )

Returns the start plane (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.



License requirements : None

NXOpen::Features::ShipDesign::SteelSupportBuilder::CapOptions NXOpen::Features::ShipDesign::SteelSupportBuilder::SupportCapOptions ( )

Returns the support cap options
Created in NX7.5.0.



License requirements : None

int NXOpen::Features::ShipDesign::SteelSupportBuilder::SupportSize ( )

Returns the support size.

Determines the cross section of the support.
Created in NX7.5.0.

License requirements : None

int NXOpen::Features::ShipDesign::SteelSupportBuilder::SupportType ( )

Returns the support type.

Determines the cross section of the support.
Created in NX7.5.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.